%define __libtoolize /bin/true

Name: 		pidgin-sipe
Version: 	1.13.1
Release: 	%mkrel 1
URL: 		http://sipe.sourceforge.net/
License: 	GPLv2+
Group: 		Networking/Instant messaging
Source: 	http://downloads.sourceforge.net/project/sipe/sipe/%{name}-%{version}/%{name}-%{version}.tar.bz2
Summary: 	Pidgin protocol (SIP/SIMPLE) plugin to connect to MS Office Communicator
BuildRequires:	pidgin-devel
BuildRequires:	glib2-devel >= 2.28.0
BuildRequires:	gettext
BuildRequires:	krb5-devel
BuildRequires:	libxml2-devel
BuildRequires:	intltool
BuildRequires:	libgstreamer-plugins-base-devel
BuildRequires:	libnice-devel >= 0.1.0
BuildRequires:	nss-devel

%description
This project develops a third-party plugin for the Pidgin  multi-protocol
instant messenger. It implements the extended version of SIP/SIMPLE used by
various products:

    * Microsoft Office Communications Server (OCS 2007 and newer)
    * Microsoft Live Communications Server (LCS 2003/2005)
    * Reuters Messaging

With this plugin you should be able to replace your Microsoft Office
Communicator client with Pidgin.

%prep
%setup -q

%build
%configure --with-krb5 --enable-purple --disable-telepathy
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%find_lang pidgin-sipe

%files -f pidgin-sipe.lang
%{_libdir}/purple-2/*.so
%exclude %{_libdir}/purple-2/libsipe.la
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.png
%{_datadir}/pixmaps/pidgin/protocols/*/sipe.svg


%changelog

* Wed Apr 25 2012 dams <dams> 1.13.1-1.mga2
+ Revision: 233253
- new version 1.13.1

* Wed Mar 28 2012 dams <dams> 1.13.0-1.mga2
+ Revision: 227281
- new version 1.13.0
- remove unneeded patch (merged upstream)
- add nss-devel as BR

* Mon Jan 09 2012 dams <dams> 1.12.0-2.mga2
+ Revision: 194039
- add libnice as BR to enable audio/video

* Mon Jan 09 2012 dams <dams> 1.12.0-1.mga2
+ Revision: 194028
- add patch to replace deprecated glib2 functions (from fedora)
- do not libtoolize as weird things happen for some reason
- new version 1.12.0
- clean and update specfile
- imported package pidgin-sipe


* Thu Apr 15 2010 Buchan Milne <bgmilne@mandriva.org> 1.10.0-1mdv2010.1
+ Revision: 535059
- Update to 1.10.0
- Disable telepathy support for now (requires newere gmime)

* Tue Apr 06 2010 Buchan Milne <bgmilne@mandriva.org> 1.9.1-1mdv2010.1
+ Revision: 532014
- New version 1.9.1
- dont libtoolize, weird things happen for some reason

* Tue Oct 27 2009 Buchan Milne <bgmilne@mandriva.org> 1.7.0-1mdv2010.0
+ Revision: 459489
- Add pidgin-sipe spec and source

  + Bruno Cornec <bcornec@mandriva.org>
    - create pidgin-sipe

